Mehr

QGIS - Verarbeitungs-Plugin aktualisieren

QGIS - Verarbeitungs-Plugin aktualisieren


Ich habe vor kurzem zu QGIS konvertiert und habe die Versionen 2.8.5 und 2.12.2 auf meinem PC installiert. Der Plugin-Manager sagt mir, dass ich v2.10.3 des Processing-Plugins im Plugin-Ordner meines lokalen Laufwerks installiert habe und v 2.12.2 im offiziellen Repository verfügbar ist. Wenn ich versuche zu aktualisieren, erhalte ich die folgende Fehlermeldung:

Plugin-Installation fehlgeschlagen: Das Plugin-Paket konnte nicht entpackt werden. Wahrscheinlich ist es defekt oder fehlt im Repository. Sie können auch sicherstellen, dass Sie Schreibrechte für das Plugin-Verzeichnis haben: C:/Users… /.qgis/python/plugins

Ich konnte andere Plugins erfolgreich installieren und habe manuell versucht, den Verarbeitungsordner von einem erfolgreichen Update eines Kollegen in den Plugin-Ordner zu kopieren, aber der Fehler bleibt bestehen.

Irgendeine Ahnung was ich falsch mache?


Das Verarbeitungs-Plugin verhält sich etwas anders als andere.

Es ist jetzt ein Kern-Plugin, installiert aufC:Programmeappsqgispythonplugins, während Plugins aus dem Plugin-Manager installiert werden aufC:Benutzer.qgis2pythonplugins. Außerdem gibt es einen Ordner namensC:Benutzer.qgis2Verarbeitungsogar für die Core-Version erstellt.

Während die erste mit jeder QGIS-Version neu installiert wird, installiert der Plugin-Manager eine für alle.

Ich schlage vor, die zweite zu entfernen und die Kernfunktion mit den verschiedenen Versionen von QGIS zu verwenden, die Sie haben.